Name:           open-isns
Version:        0.100
Release:        3
Summary:        The iSNS server and client programs
License:        LGPLv2+
URL:            https://www.github.com/open-iscsi/open-isns
Source0:        https://www.github.com/open-iscsi/open-isns/archive/v%{version}.tar.gz#/open-isns-%{version}.tar.gz
Patch0001:      Fix-the-issue-of-ignoring-the-return-value.patch
Patch0002:      0001-Do-not-install-isnsd.socket-in-isnsd.service.patch
BuildRequires:  gcc git systemd automake autoconf make
BuildRequires:  openssl-devel systemd-devel
Recommends:     %{name}-help = %{version}-%{release}
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Provides: isns-utils isns-utils-libs isns-utils%{?_isa} isns-utils-libs%{?_isa}
Obsoletes: isns-utils isns-utils-libs

%description
The open-isns package consists of the iSNS server and client programs,
which is a partial implementation of the iSNS protocol. The iSNS protocol
is defined in [RFC 4171](http://tools.ietf.org/html/rfc4171) and the
purpose of which is to allow it automated and convenient to discover, manage,
and configure iSCSI devices.

%package        devel
Summary: head files and libraries for iSNS
Requires: %{name} = %{version}-%{release}
Provides: isns-utils-devel isns-utils-devel%{?_isa}
Obsoletes: isns-utils-devel


%description    devel
This package consists of head files and libraries for iSNS

%package        help
Summary: man files for iSNS
Requires: man
BuildArch: noarch

%description    help
This package consists of man files for iSNS

%prep
%autosetup -n %{name}-%{version} -S git -p1

%build
%configure --enable-shared --disable-static
%make_build

%install
%make_install
make DESTDIR=%{buildroot} install_hdrs install_lib
chmod 755 %{buildroot}%{_sbindir}/isns*
chmod 755 %{buildroot}%{_libdir}/libisns.so.0
rm %{buildroot}%{_unitdir}/isnsd.socket
install -p -m 644 isnsd.service %{buildroot}%{_unitdir}/isnsd.service

%post
%systemd_post isnsd.service

%postun
%systemd_postun isnsd.service

%preun
%systemd_preun isnsd.service

%ldconfig_scriptlets

%files
%doc TODO README
%license COPYING
%config(noreplace) %{_sysconfdir}/isns/isnsd.conf
%config(noreplace) %{_sysconfdir}/isns/isnsadm.conf
%config(noreplace) %{_sysconfdir}/isns/isnsdd.conf
%dir %{_sysconfdir}/isns
%dir %{_var}/lib/isns
%{_libdir}/libisns.so.0
%{_sbindir}/isnsd
%{_sbindir}/isnsadm
%{_sbindir}/isnsdd
%{_unitdir}/isnsd.service

%files devel
%dir %{_includedir}/libisns
%{_includedir}/libisns/*.h
%{_libdir}/libisns.so

%files help
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Thu Apr 4 2021 Wenchao Hao<haowenchao@huawei.com> - 0.100-3
- Do not install isnsd.socket in isnsd.service

* Fri Nov 11 2020 jialei <jialei17@huawei.com> - 0.100-2
- add help for Recommends

* Mon Jun 1 2020 yanan li <liyanan032@huawei.com> - 0.100-1
- Package update

* Fri Jan 17 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.97-12
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update spec.

* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.97-11
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update package

* Sun Sep 29 2019 luoshijie <luoshijie1@huawei.com> - 0.97-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add ldconfig_scriptlets

* Sat Aug 31 2019 luoshijie <luoshijie1@huawei.com> - 0.97-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:openEuler Debranding

* Wed Jul 18 2018 openEuler Buildteam <buildteam@openeuler.org> - 0.97-8
- Package init

